## filecheck 0.0.23%2Bdfsg

=== debian/changelog ===
filecheck (0.0.23+dfsg-2) unstable; urgency=medium

  * Team upload.
  * source-only build.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 25 Oct 2023 08:40:34 -0300

filecheck (0.0.23+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #1052461

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 24 Sep 2023 22:28:31 +0800

## filecheck 0.0.23+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
guzzle_sphinx_theme==0.7.11

=== debian/control ===
Source: filecheck
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-coverage,
               python3-invoke,
               python3-pytest-pylint <!nocheck>,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/mull-project/FileCheck.py
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/filecheck.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/filecheck
Description: Attempt to reimplement LLVM's FileCheck using Python
 Filecheck is a Python implementation for LLVM LIT integration tests
 integration tests. The package is useful to people who are not
 familiar with the LLVM infrastructure and Python-based projects
 that would prefer to not have to build anything from LLVM's source
 code in their CI process.

Package: python3-filecheck
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library for Python 3.

Package: filecheck
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
        python3-filecheck,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the filecheck command line tool.

=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+dfsg,\
compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/FileCheck\.py-$1/ \
 https://github.com/mull-project/FileCheck.py/tags .*/archive/.*/v?([\d\.]+).tar.gz

## filecheck 0.0.24+dfsg

=== debian/changelog ===
filecheck (0.0.24+dfsg-2) unstable; urgency=medium

  * upload to unstable.

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 12 Mar 2024 00:23:00 +0800

filecheck (0.0.24+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0.24
  * Add python3-hatchling on B-D.
  * update debian/copyright.

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 11 Mar 2024 22:41:43 +0800

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-poetry-core,
                python3-coverage,
                python3-invoke,
+               python3-hatchling,
                python3-pytest-pylint <!nocheck>,
                python3-pytest <!nocheck>
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=filecheck

%:
	dh $@ --with python3 --buildsystem=pybuild


execute_after_dh_install:
	rm -rf $(CURDIR)/debian/python3-filecheck/usr/bin/

=== debian/tests/control ===
Tests: pytest 
Depends: @, python3-all, python3-pytest
